RSS

Microsoft Dynamics AX 2012 R3 CU8 Installation-Now Requires Microsoft Visual Studio 2013 for Visual Studio Tools.

05 Mar

In this blog post, I will be sharing my experience on upgrading CU8 to my existing AX 2012 R3 environment.and let me tell you the installation experience of CU8 is quite different from my previous experiences with AX versions and there’s a set of things you would need to complete.

I’ve updated my environment to CU8 yesterday and this one caught me out. When you get to the binary part of the install if you are applying CU8 on top of an environment then you might not be able to select the AOS to be updated after you have updated the Report Viewer component and the message says “please uninstall the Visual Studio 2010 Dev Tools” my local system environment.

This is actually referring to the AX2012 Visual Studio tools.Based on the installation guide and other technet articles I have prepared my own steps which helped me to install in multiple environments, It is important to note what this means. Development work (ex. Enterprise Portal, SSRS) done in Visual Studio will now be with Microsoft Visual Studio 2013.

Note when going to CU8
• Report Viewer 2012 runtime component is required.I installed Report Viewer 2012 from here-http://www.microsoft.com/en-us/download/confirmation.aspx?id=35747
• Visual Studio Tools (for 2010) will have to be uninstalled via AX setup.exe > Install Microsoft Dynamics AX components > Remove components > under Developer tools mark Visual Studio Tools.Then when you restart the updater it will allow you to have the AOS selected for the update.

• Install Visual Studio 2013 (Professional or higher) SP2 as a minimum.
• When going through CU8 installer note the Visual Studio 2013 Dev Tools selection,If you notice down the bottom of the update installer there is a new option for Visual Studio 2013 Dev Tools.

                        AX R3 CU8_1

                        AX R3 CU8

                        AX R3 CU8_3

                       AX R3 CU8_4

After the installation, you may check the version of your AX32.exe and AX32serv.exe and they should both have version 6.3.100.601

Advertisements
 

Tags: , , , ,

One response to “Microsoft Dynamics AX 2012 R3 CU8 Installation-Now Requires Microsoft Visual Studio 2013 for Visual Studio Tools.

  1. microsoft dynamics ax technical training

    August 11, 2016 at 6:40 am

    Oh my goodness! Incredible article dude! Many thanks. 

     

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

 
%d bloggers like this: